Cantera 2.6.0

Namespaces | Functions
TransportFactory.cpp File Reference

Implementation file for class TransportFactory. More...

`#include "cantera/transport/MultiTransport.h"`
`#include "cantera/transport/MixTransport.h"`
`#include "cantera/transport/UnityLewisTransport.h"`
`#include "cantera/transport/IonGasTransport.h"`
`#include "cantera/transport/WaterTransport.h"`
`#include "cantera/transport/DustyGasTransport.h"`
`#include "cantera/transport/HighPressureGasTransport.h"`
`#include "cantera/transport/TransportFactory.h"`
`#include "cantera/base/ctml.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/utilities.h"`
Include dependency graph for TransportFactory.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Transport * | newTransportMgr (const std::string &model="", ThermoPhase *thermo=0, int log_level=0)
| Build a new transport manager using a transport manager that may not be the same as in the phase description and return a base class pointer to it. More...
Transport * | newDefaultTransportMgr (ThermoPhase *thermo, int loglevel=0)
| Create a new transport manager instance. More...

## Detailed Description

Implementation file for class TransportFactory.

Definition in file TransportFactory.cpp.